/*
 * File:		CItemTableDemo.c
 * Created:		7/25/93
 *
 * Copyright  1993 Animas Software Production. All rights reserved.
 */

#include "CItemTableDemo.h"
#include "CItemTable.h"
#include "CStringArray.h"
#include "CScrollPane.h"
#include "CDialogText.h"
#include "CDialog.h"
#include "CPaneBorder.h"
#include "DemoCommands.h"
#include "CApplication.h"
#include	"CItemList.h"

#define	kDemoDlgID			1030

enum		/* window item numbers	*/
{
	kListScrollPaneItem = 1
};

extern CApplication	*gApplication;

/******************************************************************************
 IItemTableDemo
******************************************************************************/

void CItemTableDemo::IItemTableDemo( void)
{
	CScrollPane	*scrollPane;
	CPaneBorder *listBorder;
	Rect		margin;
	Cell		aCell;
	CList		*itemList;
	
	CDLOGDirector::IDLOGDirector( kDemoDlgID, gApplication);
	
	scrollPane = (CScrollPane*) itsWindow->FindViewByID( kListScrollPaneItem);
	
	((CDialog*)itsWindow)->SetDefaultCmd( cmdAddString);
	
	
	if (scrollPane)
	{				
		itsItemTable = new( CItemTable);
		itsItemTable->IItemTable( scrollPane, itsWindow, 0, 0, 0, 0,
			sizELASTIC, sizELASTIC,
			0);
		itsItemTable->SetSelectionFlags(selCanDrag | selCanRecieve | selDragRects);
		itsItemTable->FitToEnclosure( TRUE, TRUE);
		itsItemTable->SetDrawActiveBorder( TRUE);
		
		itsItemTable->SetID( 10);

		listBorder = new( CPaneBorder);
		listBorder->IPaneBorder( kBorderFrame);
		itsItemTable->SetBorder( listBorder);
				
//		itsItemTable->SetSelectionFlags( selOnlyOne);
		
		scrollPane->InstallPanorama( itsItemTable);
		
		
		itsItems = new(CItemList);
		itsItems->IItemList();
		itsItems->IItemRes( 'ItmL');
		itsItemTable->SetArray( itsItems, FALSE);
		
		SetCell( aCell, 0, 0);
		itsItemTable->SelectCell( aCell, FALSE, FALSE);

	}
	

}	/* CItemTableDemo::IItemTableDemo */

/******************************************************************************
 DoCommand
******************************************************************************/

void CItemTableDemo::DoCommand( long aCmd)
{
	
	switch (aCmd)
	{
		default: 
				inherited::DoCommand( aCmd);
				break;
	}
				
}	/* CItemTableDemo::DoCommand */

/******************************************************************************
 SetupItems
******************************************************************************/


/******************************************************************************
 ProviderChanged
******************************************************************************/

void CItemTableDemo::ProviderChanged( CCollaborator *aProvider, long reason,
										void *info)
{
	Cell	selectedCell;
	Boolean haveSelection;

	if ((aProvider == itsItemTable) && (reason == tableSelectionChanged))
	{
	}
	else
		inherited::ProviderChanged( aProvider, reason, info);

}	/* CItemTableDemo::ProviderChanged */

/******************************************************************************
 Dispose
******************************************************************************/

void CItemTableDemo::Dispose( void)
{
	
	inherited::Dispose();
//	ForgetObject( itsItems);
}

